
Cook: lzma 4.57
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): zlib-dev-1.2.11
Extracting source archive "lzma457.tar.bz2"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -mindirect-branch=thunk
CXXLAGS  : -march=i486 -Os -pipe -mindirect-branch=thunk
CPPFLAGS : -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

Applying patch lzlib.u
  patching file CPP/7zip/Compress/LZMA_Alone/makefile.gcc
  patching file CPP/7zip/Compress/LZMA_Alone/lzlib.h
  patching file CPP/7zip/Compress/LZMA_Alone/Wrapper.c



Making lzma
================================================================================
g++ -s -O2 -Wall -c -fPIC LzmaAlone.cpp
g++ -s -O2 -Wall -c -fPIC LzmaBench.cpp
g++ -s -O2 -Wall -c -fPIC LzmaBenchCon.cpp
g++ -s -O2 -Wall -c -fPIC LzmaRam.cpp
g++ -s -O2 -Wall -c -fPIC ../LZMA/LZMADecoder.cpp
g++ -s -O2 -Wall -c -fPIC ../LZMA/LZMAEncoder.cpp
g++ -s -O2 -Wall -c -fPIC ../LZ/LZOutWindow.cpp
g++ -s -O2 -Wall -c -fPIC ../RangeCoder/RangeCoderBit.cpp
g++ -s -O2 -Wall -c -fPIC ../../Common/InBuffer.cpp
g++ -s -O2 -Wall -c -fPIC ../../Common/OutBuffer.cpp
g++ -s -O2 -Wall -c -fPIC ../../Common/FileStreams.cpp
g++ -s -O2 -Wall -c -fPIC ../../Common/StreamUtils.cpp
g++ -s -O2 -Wall -c -fPIC ../../../Common/C_FileIO.cpp
g++ -s -O2 -Wall -c -fPIC ../../../Common/CommandLineParser.cpp
g++ -s -O2 -Wall -c -fPIC ../../../Common/CRC.cpp
g++ -s -O2 -Wall -c -fPIC ../../../Common/IntToString.cpp
g++ -s -O2 -Wall -c -fPIC ../../../Common/MyString.cpp
g++ -s -O2 -Wall -c -fPIC ../../../Common/StringConvert.cpp
g++ -s -O2 -Wall -c -fPIC ../../../Common/StringToInt.cpp
g++ -s -O2 -Wall -c -fPIC ../../../Common/MyVector.cpp
gcc -s -O2 -Wall -c -fPIC ../../../../C/7zCrc.c
gcc -s -O2 -Wall -c -fPIC ../../../../C/Alloc.c
gcc -s -O2 -Wall -c -fPIC ../../../../C/Compress/Branch/BranchX86.c
gcc -s -O2 -Wall -c -fPIC ../../../../C/Compress/Lz/MatchFinder.c
gcc -s -O2 -Wall -c -fPIC ../../../../C/Compress/Lzma/LzmaDecode.c
gcc -s -O2 -Wall -c -fPIC LzmaRamDecode.c
g++ -s -O2 -Wall -o lzma -Wl,-Os,--as-needed LzmaAlone.o LzmaBench.o LzmaBenchCon.o LzmaRam.o LZMADecoder.o LZMAEncoder.o LZOutWindow.o RangeCoderBit.o InBuffer.o OutBuffer.o FileStreams.o StreamUtils.o C_FileIO.o CommandLineParser.o CRC.o IntToString.o MyString.o StringConvert.o StringToInt.o MyVector.o 7zCrc.o Alloc.o BranchX86.o MatchFinder.o LzmaDecode.o LzmaRamDecode.o  liblz.so.1.0.0 

Making liblz.so
================================================================================
gcc -s -O2 -Wall -c -fPIC Wrapper.c
Wrapper.c: In function 'lzdopen':
Wrapper.c:34:56: warning: passing argument 3 of 'LzmaRamGetUncompressedSize' from incompatible pointer type [-Wincompatible-pointer-types]
      !LzmaRamGetUncompressedSize(tmp-1, sizeof(tmp)+1, &lzfd->lzsize))
                                                        ^
In file included from Wrapper.c:7:0:
LzmaRamDecode.h:20:5: note: expected 'size_t * {aka unsigned int *}' but argument is of type 'long unsigned int *'
 int LzmaRamGetUncompressedSize(
     ^~~~~~~~~~~~~~~~~~~~~~~~~~
Wrapper.c:34:7: warning: array subscript is below array bounds [-Warray-bounds]
      !LzmaRamGetUncompressedSize(tmp-1, sizeof(tmp)+1, &lzfd->lzsize))
       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
g++ -s -O2 -Wall -shared -Wl,-soname -Wl,liblz.so.1 -o liblz.so.1.0.0 LzmaRamDecode.o LzmaDecode.o BranchX86.o Wrapper.o  -lz
g++ -s -O2 -Wall -Wl,-Os,--as-needed -o lzma-shared LzmaAlone.o LzmaBench.o LzmaBenchCon.o LZMADecoder.o LZMAEncoder.o LzmaRam.o InBuffer.o OutBuffer.o CRC.o IntToString.o MyString.o StringConvert.o StringToInt.o MyVector.o 7zCrc.o Alloc.o MatchFinder.o StreamUtils.o LZOutWindow.o RangeCoderBit.o FileStreams.o C_FileIO.o CommandLineParser.o  liblz.so.1.0.0 liblz.so.1.0.0 

Making lzma (again)
================================================================================
g++ -s -O2 -Wall -o lzma -Wl,-Os,--as-needed LzmaAlone.o LzmaBench.o LzmaBenchCon.o LzmaRam.o LZMADecoder.o LZMAEncoder.o LZOutWindow.o RangeCoderBit.o InBuffer.o OutBuffer.o FileStreams.o StreamUtils.o C_FileIO.o CommandLineParser.o CRC.o IntToString.o MyString.o StringConvert.o StringToInt.o MyVector.o 7zCrc.o Alloc.o BranchX86.o MatchFinder.o LzmaDecode.o LzmaRamDecode.o  liblz.so.1.0.0 
================================================================================

================================================================================


Build dependencies to remove: 1
Removing: zlib-dev


Pack: lzma 4.57
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Copying "description.txt"...                                           Done
Executing strip on all files...                                        Done
  Time: 0.54s. Size: 128592 B -> 128592 B. Save: 0 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "lzma-4.57.tazpkg"                                Done
The release checksum has changed.
================================================================================
Package "lzma-4.57.tazpkg" created


Pack: lzlib 4.57
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.16s. Size: 13580 B -> 13580 B. Save: 0 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "lzlib-4.57.tazpkg"                               Done
The release checksum has changed.
================================================================================
Package "lzlib-4.57.tazpkg" created


Pack: lzlib-dev 4.57
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.17s. Size: 12288 B -> 12288 B. Save: 0 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "lzlib-dev-4.57.tazpkg"                           Done
The release checksum has changed.
================================================================================
Package "lzlib-dev-4.57.tazpkg" created


Summary for: lzma 4.57
================================================================================
Src file    : lzma457.tar.bz2
Src size    : 292.0K
Source dir  : 3.5M
Produced    : 172.0K
Cook time   : 72s ~ 1m
Cook date   : 2018-08-06 21:42
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  164.0K :      51.6K :     4 : lzma-4.57.tazpkg
 2 :   40.0K :       6.1K :     3 : lzlib-4.57.tazpkg
 3 :   32.0K :       1.4K :     1 : lzlib-dev-4.57.tazpkg
================================================================================
